#pragma once
#include "Data/VoiceEventType.h"
#include "Manager/CsdkVoiceSupportSubsystem.h"
#include "Voice/Data/CsdkUserMicStatus.h"

class FVoiceManager
{
public:
	void ModifyUserMicStatus(const FString& RoomId, const TArray<FCsdkUserMicStatus>& UserStatus,
	                         FModifyUserMicStatusCallback Callback);
	void OnEventReceived(const EVoiceEventType EventType, const FString& JsonData);
	void MsgNotify(const TArray<uint8>& Data);
};
